Skip to main content
GET
/
api
/
v1
/
checkout-intents
/
{id}
/
order
JavaScript
import CheckoutIntents from 'checkout-intents';

const client = new CheckoutIntents({
  apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
});

const order = await client.checkoutIntents.retrieveOrder('id');

console.log(order.id);
{
  "id": "<string>",
  "checkoutIntentId": "ci_aaa8af5c5aae4c0e8ef0172c26c65c13",
  "createdAt": "2026-03-25T00:00:00Z",
  "updatedAt": "2026-03-27T00:00:00Z"
}

Authorizations

Authorization
string
header
required

Rye API key

Path Parameters

id
string
required

The id of the checkout intent to look up

Response

The order

Represents a completed order. Orders are created after a checkout intent reaches the completed state.

id
string
required
checkoutIntentId
string
required

ID of the checkout intent that was responsible for creating this order.

Example:

"ci_aaa8af5c5aae4c0e8ef0172c26c65c13"

createdAt
string
required

Timestamp the order was persisted to Rye.

Example:

"2026-03-25T00:00:00Z"

updatedAt
string
required

Timestamp the order was last updated at

Example:

"2026-03-27T00:00:00Z"